> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# Interrupt a running agent session



## OpenAPI

````yaml /api-reference/membrane-api.json post /agent/sessions/{id}/interrupt
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /agent/sessions/{id}/interrupt:
    post:
      tags:
        - Sessions
      summary: Interrupt a running agent session
      operationId: interruptAgentSession
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentSessionInterruptResponseDto'
components:
  schemas:
    AgentSessionInterruptResponseDto:
      type: object
      properties:
        interrupted:
          type: boolean
      required:
        - interrupted
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````